aboutsummaryrefslogtreecommitdiff
path: root/tests/docker/run
diff options
context:
space:
mode:
Diffstat (limited to 'tests/docker/run')
-rwxr-xr-xtests/docker/run16
1 files changed, 13 insertions, 3 deletions
diff --git a/tests/docker/run b/tests/docker/run
index ec3d11934b..d85d49afc1 100755
--- a/tests/docker/run
+++ b/tests/docker/run
@@ -11,6 +11,14 @@
# or (at your option) any later version. See the COPYING file in
# the top-level directory.
+set -e
+
+if test -n "$V"; then
+ set -x
+fi
+
+BASE="$(dirname $(readlink -e $0))"
+
# Prepare the environment
. /etc/profile || true
export PATH=/usr/lib/ccache:$PATH
@@ -24,10 +32,10 @@ export TEST_DIR=/tmp/qemu-test
mkdir -p $TEST_DIR/{src,build,install}
# Extract the source tarballs
-tar -C $TEST_DIR/src -xzf qemu.tgz
+tar -C $TEST_DIR/src -xzf $BASE/qemu.tgz
for p in dtc pixman; do
- if test -f $p.tgz; then
- tar -C $TEST_DIR/src/$p -xzf $p.tgz
+ if test -f $BASE/$p.tgz; then
+ tar -C $TEST_DIR/src/$p -xzf $BASE/$p.tgz
export FEATURES="$FEATURES $p"
fi
done
@@ -55,4 +63,6 @@ elif test -n "$DEBUG"; then
echo
# Force error after shell exits
$SHELL && exit 1
+else
+ exit 1
fi